@using EpamMVC.DLL.Entities
@model EpamMVC.WEB.Areas.Admin.Models.HomeAdmin.IndexViewModel

<div class="container-fluid">

<div class="row">

    <div class="col-12 col-sm-6 col-md-3">
        <div class="info-box mb-3">
            <span class="info-box-icon bg-warning elevation-1">
                <i class="fas fa-users"></i>
            </span>

            <div class="info-box-content">
                <span class="info-box-text">Пользователей</span>
                <span class="info-box-number">
                    @Model.LastUsers.TotalCount
                </span>
            </div>
        </div>
    </div>

    <div class="col-12 col-sm-6 col-md-3">
        <div class="info-box mb-3">
            <span class="info-box-icon bg-success elevation-1">
                <i class="fa fa-credit-card"></i>
            </span>

            <div class="info-box-content">
                <span class="info-box-text">Карт покупателей</span>
                <span class="info-box-number">
                    @Model.ClientAccountCount
                </span>
            </div>
        </div>
    </div>

    <div class="col-12 col-sm-6 col-md-3">
        <div class="info-box mb-3">
            <span class="info-box-icon bg-success elevation-1">
                <i class="fas fa-shopping-cart"></i>
            </span>

            <div class="info-box-content">
                <span class="info-box-text">Платежи</span>
                <span class="info-box-number">
                    @Model.ClientPayments.TotalCount
                </span>
            </div>
        </div>
    </div>

    <div class="col-12 col-sm-6 col-md-3">
        <div class="info-box mb-3">
            <span class="info-box-icon bg-info elevation-1">
                <i class="fas fa-phone"></i>
            </span>

            <div class="info-box-content">
                <span class="info-box-text">Заказов звонка</span>
                <span class="info-box-number">
                    @Model.CallbackRequests.TotalCount
                </span>
            </div>
        </div>
    </div>

</div>


<div class="row">
    <div class="col-lg-6">

        <div class="card card-primary">
            <div class="card-header border-0">
                <h3 class="card-title">
                    Запросы на активацию карт
                </h3>
            </div>
            <div class="card-body p-0">
                <table class="table table-striped">
                    <thead>
                    <tr>
                        <th>Id</th>
                        <th>Сумма</th>
                        <th>Клиент</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach (var clientAccount in Model.ClientAccountsUnlockRequests)
                    {
                        <tr>
                            <td>
                                @clientAccount.Id
                            </td>
                            <td>
                                @clientAccount.Balance
                            </td>
                            <td>
                                @clientAccount.User.Email
                            </td>
                            <td>
                                <a class="btn btn-primary btn-sm"
                                   href="@Url.Action("Edit", "ClientAccountAdmin", new {id = clientAccount.Id})">
                                    Разблокировать
                                </a>
                            </td>
                        </tr>
                    }
                    </tbody>
                </table>
            </div>
        </div>



        <div class="card card-danger">
            <div class="card-header border-0">
                <h3 class="card-title">Ошибки</h3>
            </div>
            <div class="card-body p-0">
                <table class="table table-striped">
                    <thead>
                    <tr>
                        <th>Id</th>
                        <th>Дата</th>
                        <th>Котроллер</th>
                        <th>Действие</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach (var logRecord in Model.ExceptionLogs)
                    {
                        <tr>
                            <td>
                                @logRecord.Id
                            </td>
                            <td>
                                @logRecord.DateTime
                            </td>
                            <td>
                                @logRecord.ControllerName
                            </td>
                            <td>
                                @logRecord.ActionName
                            </td>
                        </tr>
                    }
                    </tbody>
                </table>
            </div>
        </div>

    </div>

    <div class="col-lg-6">

        <div class="card card-info">
            <div class="card-header border-0">
                <h3 class="card-title">Заказы звонка</h3>
            </div>
            <div class="card-body p-0">
                <table class="table table-striped">
                    <thead>
                    <tr>
                        <th>Id</th>
                        <th>Дата</th>
                        <th>Имя</th>
                        <th>Телефон</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach (var request in Model.CallbackRequests)
                    {
                        <tr>
                            <td>
                                @request.Id
                            </td>

                            <td>
                                @request.CreatedDateTime
                            </td>
                            <td>
                                @request.Name
                            </td>
                            <td>
                                @request.Phone
                            </td>
                        </tr>
                    }
                    </tbody>
                </table>
            </div>
        </div>

        <div class="card card-success">
            <div class="card-header border-0">
                <h3 class="card-title">
                    Последние платежи
                </h3>
            </div>
            <div class="card-body p-0">
                <table class="table table-striped">
                    <thead>
                    <tr>
                        <th>Id</th>
                        <th>Дата</th>
                        <th>Сумма</th>
                        <th>Действие</th>
                    </tr>
                    </thead>
                    <tbody>
                    @foreach (var payment in Model.ClientPayments)
                    {
                        <tr>
                            <td>
                                @payment.Id
                            </td>
                            <td>
                                @payment.CreatedDateTime
                            </td>
                            <td>
                                @payment.Amount
                            </td>
                            <td>
                                @if (payment.Status == ClientPayment.Statuses.Prepare)
                                {
                                    <span class="badge bg-secondary">Подготовлен</span>
                                }
                                else
                                {
                                    <span class="badge bg-success">Отправлен</span>
                                }
                            </td>
                        </tr>
                    }
                    </tbody>
                </table>
            </div>
        </div>

    </div>


</div>
</div>
